Name:		vcftools
Version:	0.1.16
Release:	5%{?dist}
Summary:	VCF file manipulation tools

License:	GPLv3 
URL:		https://vcftools.github.io/
Source0:	https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	zlib-devel
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))


%description
A program package designed for working with VCF files, such as those
generated by the 1000 Genomes Project. The aim of VCFtools is to
provide methods for working with VCF files: validating, merging,
comparing and calculate some basic population genetic statistics.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --with-pmdir=%(perl -e 'print $ARGV[0] =~ s{\A\Q$ARGV[1]\E/}{}r' \
    %{perl_vendorlib} %{_exec_prefix})
%make_build

%check
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'


%files
%doc README.md
%license LICENSE
%{_bindir}/vcf-compare
%{_bindir}/fill-aa
%{_bindir}/fill-an-ac
#%%{_bindir}/fill-rsIDs
%{_bindir}/vcf-merge
%{_bindir}/vcf-query
%{_bindir}/vcf-annotate
%{_bindir}/vcf-concat
%{_bindir}/vcf-convert
%{_bindir}/vcf-isec
%{_bindir}/vcf-sort
%{_bindir}/vcf-stats
%{_bindir}/vcf-subset
%{_bindir}/vcf-to-tab
%{_bindir}/vcf-validator
%{_bindir}/fill-fs
%{_bindir}/fill-ref-md5
%{_bindir}/vcf-consensus
%{_bindir}/vcf-contrast
%{_bindir}/vcf-fix-ploidy
%{_bindir}/vcf-indel-stats
%{_bindir}/vcf-phased-join
%{_bindir}/vcf-shuffle-cols
%{_bindir}/vcf-tstv
%{_bindir}/vcf-fix-newlines
%{_bindir}/vcftools
%{perl_vendorlib}/FaSlice.pm
%{perl_vendorlib}/Vcf.pm
%{perl_vendorlib}/VcfStats.pm
%{_mandir}/man1/vcftools.1.gz

%changelog
* Wed Feb 26 2025 Kaiqiang Wang <wangkaiqiang@ieisystgem.com> - 0.1.16-5
- update to vcftools-0.1.16-5.el8.src.rpm
